Name: dante
Version: 1.4.1
Release: 1%{?dist}
Summary: a free SOCKS server
License: MIT
URL: https://www.inet.no/dante/
Source0: https://www.inet.no/dante/files/%{name}-%{version}.tar.gz
# from Arch Linux
Source1: https://git.archlinux.org/svntogit/community.git/plain/trunk/sockd.service?h=packages/dante#/sockd.service

%{?systemd_requires}
BuildRequires: systemd
BuildRequires: pam-devel
BuildRequires: krb5-devel
BuildRequires: openssl-devel
BuildRequires: cyrus-sasl-devel

%description
A SOCKS client and server implementation for UNIX,
developed by Inferno Nettverk A/S, Norway.

%package devel
Summary: Dante development libraries and header files
Requires: dante = %{version}-%{release}

%description devel
Dante development libraries and header files.

%prep
%setup -q
./configure --program-prefix= --disable-dependency-tracking \
            --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
            --bindir=%{_bindir} --sbindir=%{_sbindir} \
            --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} \
            --includedir=%{_includedir} \
            --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
            --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} \
            --mandir=%{_mandir} --infodir=%{_infodir} \
            --enable-shared=yes --enable-static=no \
            --disable-libwrap

%build
make

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.{a,la}

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} example/{socks,sockd}.conf %{buildroot}%{_sysconfdir}

%{__mkdir_p} %{buildroot}%{_libdir}/systemd/system
%{__install} -m 0755 %{SOURCE1} %{buildroot}%{_libdir}/systemd/system

%post
%systemd_post sockd.service

%preun
%systemd_preun sockd.service

%postun
%systemd_postun_with_restart sockd.service

%files
%defattr(-,root,root)
%doc BUGS CREDITS LICENSE NEWS README*
%{_sbindir}/sockd
%{_bindir}/socksify
%config(noreplace) %{_sysconfdir}/socks.conf
%config(noreplace) %{_sysconfdir}/sockd.conf
%{_libdir}/systemd/system/sockd.service
%{_libdir}/*.so.*
%{_mandir}/man1/socksify.1*
%{_mandir}/man5/sockd.conf.5*
%{_mandir}/man5/socks.conf.5*
%{_mandir}/man8/sockd.8*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Wed Jun  8 2016 IWAI, Masaharu <iwaim.sub@gmail.com> - 1.4.1-1
- initial release

